---
title: OfflineAudioContext.oncomplete
slug: Web/API/OfflineAudioContext/oncomplete
tags:
  - API
  - OfflineAudioContext
  - Property
  - Reference
  - Référence(2)
  - Web Audio API
  - oncomplete
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>oncomplete</code> event handler of the <code>OfflineAudioContext</code> interface is called when the audio processing is terminated, that is when the {{event("complete")}} event (of type {{domxref("OfflineAudioCompletionEvent")}}) is raised.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var offlineAudioCtx = new OfflineAudioContext();
offlineAudioCtx.oncomplete = function() { ... }</pre>

<h2 id="Example">Example</h2>

<p>When processing is complete, you might want to use the <code>oncomplete</code> handler the prompt the user that the audio can now be played, and enable the play button.</p>

<pre class="brush: js">offlineAudioCtx.oncomplete = function() {
  console.log('Offline audio processing now complete');
  showModalDialog('Song processed and ready to play');
  playBtn.disabled = false;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-offlineaudiocontext-oncomplete', 'oncomplete')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.OfflineAudioContext.oncomplete")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
